#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAE,0xE6,0xE1,0x7D,0x90,0x2E,0xFA,0x8C,0xA8,0x6A,0x1A,0x38,
		0xF2,0xB6,0x5C,0x00,0xB3,0x1C,0xF5,0x9B,0x19,0xF4,0x84,0x79,
		0xBE,0xB9,0xF0,0x5C,0xD7,0x8E,0x00,0x7A,0xCE,0x10,0xED,0x25,
		0xD8,0x60,0x4D,0x98,0xD4,0xE9,0xEE,0x6B,0x0C,0xA8,0xE9,0x2B,
		0xBC,0x27,0x4C,0x93,0x32,0x03,0xD4,0x93,0xE0,0x7F,0xFD,0x74,
		0x7B,0x97,0xFC,0xE7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
